package problem.fdr;

import java.util.Arrays;
import java.util.List;

public class FDRVar {
	
	private final int range;
	private final int varID;
	private final String[] names;

	public FDRVar(int varID, List<String> names) {
		range = names.size();
		this.names = new String[range];
		names.toArray(this.names);
		this.varID = varID;
	}

	public int getRange() {
		return range;
	}

	public String[] getNames() {
		return names;
	}
	
	public String getName(int val) {
		return names[val];
	}
	
	public int getVarID() {
		return varID;
	}

	@Override
	public String toString() {
		return varID + ":{" + Arrays.toString(names) + "}";
	}
	
	

}
