package problem.strips;

import java.util.HashSet;
import java.util.Set;

public class StripsOperator {
	
	private final String name;
	private final Set<Integer> pre;
	private final Set<Integer> add;
	private final Set<Integer> del;
	private final int cost;
	
	public StripsOperator(String name, Set<Integer> pre, Set<Integer> add, Set<Integer> del, int cost) {
		super();
		this.name = name;
		this.pre = new HashSet<>(pre);
		this.add = new HashSet<>(add);
		this.del = new HashSet<>(del);
		this.cost = cost;
	}

	public String getName() {
		return name;
	}

	public Set<Integer> getPre() {
		return pre;
	}

	public Set<Integer> getAdd() {
		return add;
	}

	public Set<Integer> getDel() {
		return del;
	}

	public int getCost() {
		return cost;
	}
	
	@Override
	public String toString() {
		return "StripsOperator [name=" + name + ", pre=" + pre + ", add=" + add + ", del=" + del + ", cost=" + cost + "]";
	}
	
	

	

}
